<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class ChangeProgramCriterionToView extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::drop("program_criterion");
		DB::statement("
				   CREATE VIEW `program_criterion`
		AS select distinct program_id, criterion_id from `criterion_objective_outcome` coo join `program_criterion_objective_outcome` pcoo on pcoo.`cri_obj_out_id`=coo.id
		");
		//
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		//
		    DB::statement('DROP VIEW IF EXISTS student_criteria_evaluated');
	}

}
